# sevDesk

## Introduction

Endpoint: `https://my.sevdesk.de/api/v1/`

## Authentication

1. Go to Users under <https://my.sevdesk.de/#/admin/userManagement> or under Settings > User
2. Click on the User you want to get the API key for
3. In the pop-up window, copy the API key and include it in Locoia

## sevDesk Authentication

[Here you can see in the video](https://5677.extern.sevdesk.dev/apiOverview/index.html#/doc-authen-author) where to find the key:

The sevDesk API v1 uses a token for authentication. The token is found on [https://my.sevdesk.de:](https://my.sevdesk.de/) Settings > User > Specific user

The basic URL contains four elements. BaseURL + Controller + Version + Model: `https://my.sevdesk.de/api/v1/Contact/`

GET query parameter&#x73;**:**

* `limit` - limits number of records
* `offset` - sets index where the returned entries should start
* `embed` - get some additional information about a model. For example, get the addresses of a contact with `embed=addresses`

{% embed url="<https://www.dynamicinsight.com/connector/sevDesk-integration>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.locoia.com/connectors/connectors/sevdesk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
